# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.002
%define module_name OpenSSL-Versions
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Parse OpenSSL version number
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NA/NANIS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Parse OpenSSL version number from source code.

    use OpenSSL::Versions qw( parse_openssl_version_number );
    my $v = parse_openssl_version_number('0x0913');
    print "$v\n";

Outputs:

    0.9.1c



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/O*

%changelog
* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

